View Issue Details

IDProjectCategoryView StatusLast Update
0021178mantisbtcustom fieldspublic2016-08-28 01:12
ReporteramberliAssigned Tocproensa 
PriorityimmediateSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-rc.2 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021178: Report can be submit enven when checked "Required On Report" and "Type" is Textarea
Description

Edit custom field:
Name: TestCase
Type: Textarea
Required On Report: checked

Step:
Report one issue and leave "TestCase" as empty and submit
Result:
Issue can be submit without any error message;
Expect result:
Issue shouldn't be submit since it is empty

TagsNo tags attached.

Activities

Related Changesets

MantisBT: x ffa26be4

2016-08-04 18:12:57

cproensa

Details Diff
Add validations for textarea custom fields

Add textarea custom field type to the api functions that perform
validations.

Fixes: 0021178
mod - core/custom_field_api.php Diff File
mod - core/gpc_api.php Diff File

MantisBT: master-1.3.x 08c261d3

2016-08-04 18:12:57

cproensa


Committer: dregad Details Diff
Add validations for textarea custom fields

Add textarea custom field type to the api functions that perform
validations.

Fixes: 0021178
mod - core/custom_field_api.php Diff File
mod - core/gpc_api.php Diff File

Issue History

Date Modified Username Field Change
2016-06-30 03:33 amberli New Issue
2016-07-13 04:05 cproensa Assigned To => cproensa
2016-07-13 04:05 cproensa Status new => confirmed
2016-08-04 18:25 cproensa Status confirmed => assigned
2016-08-04 18:25 cproensa Note Added: 0053751
2016-08-05 04:50 cproensa Changeset attached => MantisBT x ffa26be4
2016-08-05 04:50 cproensa Status assigned => resolved
2016-08-05 04:50 cproensa Resolution open => fixed
2016-08-05 04:53 dregad Changeset attached => MantisBT master-1.3.x 08c261d3
2016-08-05 04:53 dregad Assigned To cproensa => dregad
2016-08-05 04:53 dregad Fixed in Version => 1.3.1
2016-08-05 05:42 dregad Assigned To dregad => cproensa
2016-08-05 05:42 dregad Target Version => 1.3.1
2016-08-28 01:12 vboctor Status resolved => closed